using System;
using System.Collections.Generic;
using System.Text;

namespace StringBuilder
{
   class MainClass
   {
      public static void Main(string[] args)
      {
         string formatString;
         double dVal;

         System.Text.StringBuilder sb = new System.Text.StringBuilder();
         sb.Append("Pozdrowienia!\n");
         formatString = "{0:#,###0.00 PLN;(#,###0.00 PLN);Zero}";
         dVal = 129.99;
         sb.AppendFormat(formatString, dVal);
         sb.Append("\nTo jest długi, złożony ciąg znaków.");
         Console.WriteLine(sb.ToString());

         Console.ReadLine();
      }
   }
}
